ToolzerHub Docs

Get flight status and history (v1)

Status, scheduled, estimated and actual times, aircraft, airline, route and gates for a flight number or an aircraft registration: upcoming flights and roughly the last seven days.

1 credit / requestBilled only on success
GET
/v1/flightradar24/flights

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

flight?string

Flight number such as BA117 or ba 117, or its flightradar24.com/data/flights link. Use the IATA number the airline sells; ICAO callsigns such as BAW117 are rejected. Pass this or registration.

Lengthlength <= 300
registration?string

Aircraft registration (tail number) such as G-RAES, or its flightradar24.com/data/aircraft link, for every flight that aircraft flew or is scheduled to fly. Pass this or flight.

Lengthlength <= 300
curl -X GET "https://example.com/v1/flightradar24/flights" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "flight": "BA117",    "registration": null,    "aircraft": {      "registration": "G-RAES",      "model_code": "B772",      "model": "Boeing 777-236(ER)",      "hex": "4005C1",      "country": "United Kingdom",      "airline": {        "name": "British Airways",        "iata": "BA",        "icao": "BAW"      }    },    "count": 15,    "flights": [      {        "flight_id": "42709a26",        "flight_number": "BA117",        "callsign": "BAW117",        "codeshares": [          "AA6135",          "IB4218"        ],        "status": {          "text": "Landed 10:34",          "type": "landed",          "is_live": true        },        "airline": {          "name": "British Airways",          "iata": "BA",          "icao": "BAW"        },        "aircraft": {          "registration": "G-RAES",          "model_code": "B772",          "model": "Boeing 777-236(ER)",          "hex": "4005C1",          "country": "United Kingdom"        },        "origin": {          "iata": "LHR",          "icao": "EGLL",          "name": "London Heathrow Airport",          "city": "London",          "country": "United Kingdom",          "country_code": "GB",          "latitude": 51.471626,          "longitude": -0.467081,          "timezone": "Europe/London",          "terminal": "5",          "gate": "B34",          "baggage": null        },        "destination": {          "iata": "LHR",          "icao": "EGLL",          "name": "London Heathrow Airport",          "city": "London",          "country": "United Kingdom",          "country_code": "GB",          "latitude": 51.471626,          "longitude": -0.467081,          "timezone": "Europe/London",          "terminal": "5",          "gate": "B34",          "baggage": null        },        "departure": {          "scheduled": "2026-11-05T11:00:00Z",          "estimated": null,          "actual": "2026-11-05T11:14:00Z"        },        "arrival": {          "scheduled": "2026-11-05T11:00:00Z",          "estimated": null,          "actual": "2026-11-05T11:14:00Z"        },        "duration_seconds": 29640      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}